## GcalSourceDialog GcalSourceDialog — Dialog to manage calendars |

## Stability Level

Unstable, unless otherwise indicated

## Functions

void | gcal_source_dialog_set_mode ()
void | gcal_source_dialog_set_source ()

## Properties

GcalManager * | manager | Read / Write

## Types and Values

#define | GCAL_RESPONSE_REMOVE_SOURCE
#define | GCAL_TYPE_SOURCE_DIALOG
enum | GcalSourceDialogMode
| GcalSourceDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GcalSourceDialog

## Implemented Interfaces

GcalSourceDialog implements AtkImplementorIface and GtkBuildable.

## Description

GcalSourceDialog is the calendar management widget of GNOME Calendar. With it, users can create calendars from local files, local calendars or even import calendars from the Web or their online accounts.

## Functions

### gcal_source_dialog_set_mode ()

    void
    gcal_source_dialog_set_mode (GcalSourceDialog *dialog,
                                 GcalSourceDialogMode mode);

Set the source dialog mode. Creation mode means that a new calendar will be created, while edit mode means a calendar will be edited.

#### Parameters

dialog | a GcalSourceDialog |
mode | a GcalSourceDialogMode |

### gcal_source_dialog_set_source ()

    void
    gcal_source_dialog_set_source (GcalSourceDialog *dialog,
                                   ESource *source);

Sets the source to be edited by the user.

#### Parameters

dialog | a GcalSourceDialog |
source | an ESource |

## Types and Values

### GCAL_RESPONSE_REMOVE_SOURCE

    #define GCAL_RESPONSE_REMOVE_SOURCE   2

### GCAL_TYPE_SOURCE_DIALOG

    #define GCAL_TYPE_SOURCE_DIALOG (gcal_source_dialog_get_type())

### enum GcalSourceDialogMode

The current action of the GcalSourceDialog

#### Members

GCAL_SOURCE_DIALOG_MODE_CREATE | creating a new calendar |
GCAL_SOURCE_DIALOG_MODE_CREATE_WEB | creating a new web-based calendar |
GCAL_SOURCE_DIALOG_MODE_EDIT | editing an existing calendar |
GCAL_SOURCE_DIALOG_MODE_NORMAL | showing the list of calendars and online accounts |

### GcalSourceDialog

    typedef struct _GcalSourceDialog GcalSourceDialog;

## Property Details

### The `“manager”` property

      “manager”                  GcalManager *

The manager object of the application.

Flags: Read / Write